Package org.eclipse.mat.query

# Class ContextDerivedData.DerivedOperation

java.lang.Object
org.eclipse.mat.query.ContextDerivedData.DerivedOperation

Enclosing class:
  ContextDerivedData

public static final class ContextDerivedData.DerivedOperation extends Object
A way of calculating the column values.

## Constructor Summary

Constructors
Constructor
Description
`DerivedOperation(String code, String label)`
Create a way of calculating the column.

## Method Summary

Modifier and Type
Method
Description
`String`
`getCode()`
Get the code.
`String`
`getLabel()`
Get the explanation of the operation.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DerivedOperation

public DerivedOperation(String code, String label)
Create a way of calculating the column. The code is used for XML queries to specify the operation.

Parameters:
  `code` - a text note of what the operation does (not translated)
  `label` - an explanation of the operation

## Method Details

### getCode

public String getCode()
Get the code.

Returns:
  a short name used in XML report definitions etc.

### getLabel

public String getLabel()
Get the explanation of the operation.

Returns:
  a readable explanation